Bug 970601 - perl-Bio-SamTools has broken dependencies because of perl-bioperl removal
perl-Bio-SamTools has broken dependencies because of perl-bioperl removal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Bio-SamTools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Adam Huffman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 08:47 EDT by Petr Pisar
Modified: 2013-10-04 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-04 12:41:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-06-04 08:47:03 EDT
perl-Bio-SamTools has broken dependencies in the rawhide tree:
On x86_64:
        perl-Bio-SamTools-1.35-2.fc19.x86_64 requires perl(Bio::SeqFeature::Lite)
        perl-Bio-SamTools-1.35-2.fc19.x86_64 requires perl(Bio::PrimarySeq)
On i386:
        perl-Bio-SamTools-1.35-2.fc19.i686 requires perl(Bio::SeqFeature::Lite)
        perl-Bio-SamTools-1.35-2.fc19.i686 requires perl(Bio::PrimarySeq)

This because perl-bioperl has been removed from F19 because its maintainer did not want to maintain it.

You can resurrect perl-bioperl or remove perl-Bio-SamTools from F19 and Rawhide too.
Comment 1 Adam Huffman 2013-06-05 09:14:00 EDT
Yes, I wasn't sure whether I wanted to take on the burden of perl-bioperl.  Let me take a look and see how much maintenance effort it will take.
Comment 2 Adam Huffman 2013-10-04 12:41:43 EDT
As I've indicated elsewhere, I won't be taking up perl-bioperl, so this one has been orphaned too.

Note You need to log in before you can comment on or make changes to this bug.